Subject: Bugs in Rsync?
From: David Starks-Browning <[email-masked]>
To: "Michael Hipp" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 14 Jan 2003 08:05:19 +0000

On Monday 13 Jan 03, Michael Hipp writes:
> I'm trying to use Rsync to back up this system to a remote across the
> network. I'm butting my head against 2 probs:
> 
> - When rsync is given a source of /, it absolutely refuses to descend into
> /cygdrive. It's as if the -x (one fs only) is set.

I think you are expecting too much of rsync to know that from /, you
want it to traverse into /cygdrive/X.

Try mounting C: to /c, make sure you create the directory /c to go
with it first (UNIX demands this, Cygwin will just issue a warning).
Rsync might descend into /c in that case (though I haven't tried it myself).

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/